OPENSSL-VERSION(1SSL)

NAME
openssl-version - print OpenSSL version information

SYNOPSIS
openssl version [-help] [-a] [-v] [-b] [-o] [-f] [-p] [-d] [-m] [-r] [-c] [-w]

DESCRIPTION
This command is used to print out version information about OpenSSL.

OPTIONS

-help
    Print out a usage message.

-a  All information, this is the same as setting all the other flags.

-v  The current OpenSSL version.

-b  The date the current version of OpenSSL was built.

-o  Option information: various options set when the library was built.

-f  Compilation flags.

-p  Platform setting.

-d  OPENSSLDIR setting.

-m  MODULESDIR settings.

-r  The random number generator source settings.

-c  The OpenSSL CPU settings info.

-w  The OpenSSL OSSL_WINCTX build time variable, if set. Used for computing Windows registry key names. This option is unavailable on non-Windows platforms.

HISTORY
In OpenSSL versions prior to 3.4, OpenSSL had a limitation regarding the OPENSSLDIR and MODULESDIR build time macros. These macros were defined at build time, and represented filesystem paths. This is common practice on unix like systems, as there was an expectation that a given build would be installed to a pre-determined location. On Windows however, there is no such expectation, as libraries can be installed to arbitrary locations. OSSL_WINCTX was introduced as a new build time variable to define a set of registry keys identified by the name openssl-<version>-<ctx>, in which the <version> value is derived from the version string in the openssl source, and the <ctx> extension is derived from the OSSL_WINCTX variable. The values of OPENSSLDIR and MODULESDIR can be set to various paths underneath this key to break the requirement to predict the installation path at build time.

NOTES
The output of "openssl version -a" would typically be used when sending in a bug report.

COPYRIGHT
Copyright 2000-2026 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.